#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <string>
#include <string.h>

#include "TTree.h"
#include "TFile.h"
#include "TString.h"

#include "TSystem.h"
//#include "THaEvent.h"
//#include "THaRun.h"
#include "TH1.h"
#include "TF1.h"
#include "TH2.h"
#include "TCanvas.h"
#include "TStyle.h"
#include "TChain.h"
#include "TEllipse.h"
#include "TLine.h"
#include "TMarker.h"
#include "TVector3.h"
#include "TRotation.h"
#include "TMath.h"
#include "TGraph.h"
#include "TComplex.h"


#include <cstring>
#include <cstdio>
#include <iostream>



using namespace std;



void EnergyLossesInterpolation(){


  double momentum, momentumStart, PathdE , PathE, EnergyLostdE, EnergyLostE, MomentumdE, MomentumE, momentumAtMWDC, momentumDifferenceMWDC;

  TGraph *grEnergyLosses = new TGraph();
  
  ifstream simfile("Total_Proton_EdE_Energy_Losses2.dat");
  //ifstream simfile("Proton_EdE_Energy_Losses.dat");
  int NumberOfData = 0;  

  if (simfile.is_open())
  {
    while (! simfile.eof() )
    {
      simfile >> momentum >> momentumAtMWDC >> momentumDifferenceMWDC >> momentumStart >> PathdE >> PathE >> EnergyLostdE >> EnergyLostE >> MomentumdE >> MomentumE;
      //simfile >> momentum >> PathdE >> PathE >> EnergyLostdE >> EnergyLostE >> MomentumdE >> MomentumE;
      cout<<"momentum: "<<momentum<<",  difference: "<<momentumDifferenceMWDC<<endl;
      grEnergyLosses->SetPoint(grEnergyLosses->GetN(), momentum, momentumDifferenceMWDC);
    }
    simfile.close();
  }
  else cout << "Unable to open file";


  TCanvas *c1 = new TCanvas("c1","c1");
  c1->Divide(1,1);
  c1->cd(1);
  gPad->SetGrid();
  grEnergyLosses->SetMarkerSize(0.5);
  grEnergyLosses->SetMarkerStyle(22);
  grEnergyLosses->SetMarkerColor(kPink);
  grEnergyLosses->Draw("APL");

  double xi[2000];
  double yi[2000];
  int num = 0;

  for (double  p = 200; p<1000; p+=0.5){
     xi[num] = p;
     yi[num] = grEnergyLosses->Eval(p);
     num++;

  }

  TGraph *gr2 = new TGraph(num-1, xi, yi);

  gr2->SetMarkerSize(0.5);
  gr2->SetMarkerStyle(24);
  gr2->SetMarkerColor(kBlue);
  gr2->Draw("P");

  

}
